/******************************************************************
*  源程序名：ModelTask6_3_2.cpp                 　　　　　　            *
*  功能：用自定义函数判断输入字符是否为字母，给三次输入机会。           *
******************************************************************/
#include <iostream.h>
int isLetter(char ch);
void main()
{
	int count=0;//统计输入次数
	char ch;//接收从键盘输入的字符
	cout<<"请输入一个字母：";
	cin>>ch;
	count++;//输入一个字符，就要加1
	while (1)//构造死循环，通过break退出循环
	{
		if (isLetter(ch)==1)//调用函数进行判断
		{
			cout<<"字母"<<ch<<"的ASCII码是："<<int(ch)<<endl;
			break;//如果是字母，用强制类型转换显示ASCII码并退出
		}
		else//如果不是字母
		{
			if (count==3)//若3次机会已满，退出
			{
				cout<<"三次输入均不是字母!"<<endl;
				break;
			}
			cout<<"您输入的不是字母，请输入一个字母：";
			cin>>ch;
			count++;
			
		}
	}
}
int isLetter(char ch)
{
	int flag;//声明标志变量，根据其值进行判断
	if (ch>='a' && ch<='z' || ch>='A' && ch<='Z')
		flag=1;//值为1，表示是字母
	else
		flag=0;//值为0，表示不是字母
	return flag;
}